PETSc version 3.15.5
Fix/Edit manual page

# DMGetRefineLevel

Gets the number of refinements that have generated this DM.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode  DMGetRefineLevel(DM dm,PetscInt *level)

Not Collective

### Input Parameter

| dm | - the DM object

### Output Parameter

| level | - number of refinements

### See Also

DMCoarsen(), DMGetCoarsenLevel(), DMDestroy(), DMView(), DMCreateGlobalVector(), DMCreateInterpolation()

### Level

developer

### Location

src/dm/interface/dm.c

### Examples

src/ksp/ksp/tutorials/ex65.c.html
src/snes/tutorials/ex48.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages